/**
 * JASMINe
 * Copyright (C) 2008 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */
 
package org.ow2.jasmine.monitoring.eos.notification.vo
{
import com.adobe.cairngorm.vo.IValueObject;

/**
 * Detail of a notification. Associated to the 
 * org.ow2.jasmine.event.beans.JasmineEventNotificationDetail java class.
 */
[Bindable]
public class JasmineEventNotificationDetailVO implements IValueObject
{
	public function JasmineEventNotificationDetailVO()
	{
		
	}

	//
	//	Label
	//
	
	/**
     * Label of the detail.
     */
    private var paramLabel : String;

    public function set label( _label : String ) : void 
    {
    	this.paramLabel = _label;
    }
    
    public function get label() : String 
    {
    	return this.paramLabel;
    }
    
    
    //
    // Message
    //
    
    /**
     * Message of the detail.
     */
    private var paramMessage : String;
    
    public function set message( _message : String ) : void 
    {
    	this.paramMessage = _message;
    }
    
    public function get message() : String
    {
    	return this.paramMessage;
    }

}
}